> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Allocations For Warrant

> Deletes all custody allocations belonging to the given warrant IDs and returns the count.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/delete-allocations-for-warrant
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/delete-allocations-for-warrant:
    post:
      operationId: deleteAllocationsForWarrant
      summary: Delete Allocations For Warrant
      description: >-
        Deletes all custody allocations belonging to the given warrant IDs and
        returns the count.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteAllocationsForWarrantRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteAllocationsForWarrantResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    DeleteAllocationsForWarrantRequest:
      type: object
      properties:
        warrantIDs:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
          maxItems: 1000
      required:
        - warrantIDs
    DeleteAllocationsForWarrantResponse:
      type: object
      properties:
        success:
          type: boolean
        deletedCount:
          type: integer
          minimum: 0
      required:
        - success
        - deletedCount
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
